/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
import java.awt.*;

public class main
{
    public static void main(String args[]) {
	CustomFrame f = new CustomFrame("BeaconFeeder", 615, 459);
	Container container = f.getContentPane();
	BorderLayout layout = new BorderLayout();
	layout.setHgap(15);
	container.setLayout(layout);
	f.setBackground(Color.gray);

	SolverPanel solve = new SolverPanel();
	container.add(solve, "Center");

	DrawingArea d = new DrawingArea(400,solve);
	container.add(d, "West");	

	Controls cntl = new Controls(d, solve);
	container.add(cntl, "North");
	f.addKeyListener(cntl);

	f.validate();
	f.pack();
	f.setVisible(true);
	d.initialize();
    }
}
